Error in yaml::yaml.load(..., eval.expr = TRUE) : unused argument (eval.expr = TRUE) Calls: <Anonymous> ... parse_yaml_front_matter -> yaml_load -> <Anonymous> Execution halted

I am getting this error message on multiple .Rmd files. I have reinstalled RStudio and multiple yaml packages. The yaml packages were from two different sources:

  1. Cran
  2. viking/r-yaml

Have you tried completely removing yaml package (even deleting the library folder) and then reinstalling it? this has worked for me in the past.

Also try restarting your R session before reinstalling the package (Ctrl+Shift+F10)

I think this is similar to a known issue that has been encountered before and answered on this forum.
You need to update yaml, rmarkdown, and knitr package :package: . One of them is too old to work with the other.

It also depends if you have an old version of R. You may need to update R or find the yaml and knir versions that works for your version of R

See this answer

and See similar issues:
https://community.rstudio.com/search?q=yaml%20eval.expr%20%3D%20TRUE

1 Like

This topic was automatically closed 21 days after the last reply. New replies are no longer allowed.

If you have a query related to it or one of the replies, start a new topic and refer back with a link.